{% block sw_cms_sidebar_page_settings_type_field %}
    <sw-select-field
            v-model:value="page.originalType"
            v-tooltip.bottom="tooltipDisabled"
            :label="$tc('sw-cms.detail.label.pageType')"
            :disabled="!isSystemDefaultLanguage || page.type === 'product_detail'"
            @update:value="onPageTypeChange"
    >
        {% block sw_cms_sidebar_page_settings_type_field_options %}
            <option value="page">
                {{ $tc('sw-cms.detail.label.pageTypeShopPage') }}
            </option>
            <option value="landingpage">
                {{ $tc('sw-cms.detail.label.pageTypeLandingpage') }}
            </option>
            <option value="product_list">
                {{ $tc('sw-cms.detail.label.pageTypeCategory') }}
            </option>
            <option value="product_detail" :disabled="page.type !== 'product_detail'">
                {{ $tc('sw-cms.detail.label.pageTypeProduct') }}
            </option>

            <option value="presentation_landingpage">
                {{ $tc('sw-cms.detail.label.pageTypePresentationLandingpage') }}
            </option>
            <option value="presentation_product_list">
                {{ $tc('sw-cms.detail.label.pageTypePresentationCategory') }}
            </option>
            <option value="presentation_product_detail" :disabled="page.type !== 'product_detail'">
                {{ $tc('sw-cms.detail.label.pageTypePresentationProduct') }}
            </option>
        {% endblock %}
    </sw-select-field>
{% endblock %}

{% block sw_cms_sidebar_block_overview_category_options %}
        {% parent() %}
        <option value="presentation"
                :disabled="!(page.originalType === 'presentation_landingpage' || page.originalType === 'presentation_product_list' || page.originalType === 'presentation_product_detail')">
                {{ $tc('sw-cms.detail.label.blockCategoryPresentation') }}
        </option>
{% endblock %}
